Bug 672810 - [tcsh] returns "verbose: Undefined variable." upon exit
Summary: [tcsh] returns "verbose: Undefined variable." upon exit
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
unspecified
low
Target Milestone: ---
Assignee: Vojtech Vitek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-26 13:40 UTC by Joachim Frieben
Modified: 2015-03-04 23:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-26 15:36:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix error message on exit "verbose: Undefined variable." (683 bytes, patch)
2011-01-26 15:35 UTC, Vojtech Vitek
no flags Details | Diff

Description Joachim Frieben 2011-01-26 13:40:30 UTC
Description of problem:
After switching to a different user via command 'su', closing the session returns

  "verbose: Undefined variable."

Version-Release number of selected component (if applicable):
tcsh-6.17-11.fc15.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Switch to other user by means of 'su'.
2. Enter 'exit'.
  
Actual results:
Shell returns "verbose: Undefined variable.".

Expected results:
Shell closes silently.

Additional info:
Downgrading to tcsh-6.17-10.fc15.x86_64 allows to get rid of this message. According to the package changelog:
* Mon Jan 24 2011 Vojtech Vitek (V-Teq) <vvitek redhat com> - 6.17-11
- Don't set $REMOTEHOST on the local machine Resolves: #669176
- Don't print history in verbose mode Resolves: #583075, #658171
- Don't allow illegal variable names to be set Resolves: #436901
- Revert "Fix incorrect $status value of pipelined commands"

Comment 1 Vojtech Vitek 2011-01-26 15:35:41 UTC
Created attachment 475419 [details]
Fix error message on exit "verbose: Undefined variable."

Comment 2 Vojtech Vitek 2011-01-26 15:36:01 UTC
Thank you for reporting the bug, Joachim.

The fix will be released in tcsh-6.17-12.fc15.

Comment 3 Fedora Update System 2011-01-26 15:49:26 UTC
tcsh-6.17-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tcsh-6.17-10.fc14

Comment 4 Fedora Update System 2011-01-26 15:57:32 UTC
tcsh-6.17-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tcsh-6.17-8.fc13

Comment 5 Fedora Update System 2011-01-28 12:28:30 UTC
tcsh-6.17-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tcsh-6.17-11.fc14

Comment 6 Fedora Update System 2011-01-28 12:36:12 UTC
tcsh-6.17-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tcsh-6.17-9.fc13

Comment 7 Fedora Update System 2011-02-07 19:52:04 UTC
tcsh-6.17-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-07 19:56:43 UTC
tcsh-6.17-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.